Loading...
Searching...
No Matches
test_volk_32fc_x2_multiply_32fc.cc File Reference
`#include "volk_test.h"`
`#include <fmt/chrono.h>`
`#include <fmt/core.h>`
`#include <fmt/ranges.h>`
`#include <gtest/gtest-param-test.h>`
`#include <gtest/gtest.h>`
`#include <volk/volk.h>`
`#include <volk/volk_alloc.hh>`
`#include <chrono>`

## Data Structures

class | volk_32fc_x2_multiply_32fc_test

## Functions

| TEST_P (volk_32fc_x2_multiply_32fc_test, run)
| INSTANTIATE_TEST_SUITE_P (volk_32fc_x2_multiply_32fc, volk_32fc_x2_multiply_32fc_test, testing::Combine(testing::ValuesIn(get_kernel_implementation_name_list(volk_32fc_x2_multiply_32fc_get_func_desc())), testing::ValuesIn(default_vector_sizes)), generate_volk_test_name())

## Function Documentation

## INSTANTIATE_TEST_SUITE_P()

INSTANTIATE_TEST_SUITE_P | ( | volk_32fc_x2_multiply_32fc | ,
|  | volk_32fc_x2_multiply_32fc_test | ,
|  | testing::Combine(testing::ValuesIn(get_kernel_implementation_name_list(volk_32fc_x2_multiply_32fc_get_func_desc())), testing::ValuesIn(default_vector_sizes)) | ,
|  | generate_volk_test_name() | )

## TEST_P()

TEST_P | ( | volk_32fc_x2_multiply_32fc_test | ,
|  | run | )